# Class pyglet.media.StaticSource

    Source --+
             |
            StaticSource

Known Subclasses:
  StaticMemorySource

A source that has been completely decoded in memory. This source can be queued onto multiple players any number of times.

## Methods

| __init__(self, source) Construct a StaticSource for the data in `source`.
pyglet.image.Animation | get_animation(self) Import all video frames into memory as an Animation. (Inherited from pyglet.media.Source)
pyglet.image.AbstractImage | get_next_video_frame(self) Get the next video frame. (Inherited from pyglet.media.Source)
float | get_next_video_timestamp(self) Get the timestamp of the next video frame. (Inherited from pyglet.media.Source)
ManagedSoundPlayer | play(self) Play the source. (Inherited from pyglet.media.Source)

## Properties

float | duration The length of the source, in seconds. (Inherited from pyglet.media.Source)

## Instance Variables

AudioFormat | audio_format = `None` Format of the audio in this source, or None if the source is silent. (Inherited from pyglet.media.Source)
VideoFormat | video_format = `None` Format of the video in this source, or None if there is no video. (Inherited from pyglet.media.Source)

## Method Details

### __init__

(Constructor) __init__(self, source)
Construct a StaticSource for the data in `source`.

Parameters:
  source : Source
    The source to read and decode audio and video data from.